package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Conexion;
import com.rjconsultores.ventaboletos.vo.conexion.ConexionVO;

public interface ConexionService {

	/**
	 * Gera as conexões possíveis para os tramos do sistema
	 * 
	 */
	public void gerarConexiones();

	public List<ConexionVO> buscarConexiones(boolean isBuscaAgrupada, Integer origenId, Integer destinoId);

	public Conexion suscribir(Conexion conexion);

	public Conexion actualizacion(Conexion conexion);

	public void borrar(Conexion conexion);

	public List<Conexion> buscarPorConexionCtrl(Long conexcionCtrlId);

	public List<ConexionVO> buscarConexionesValidas();
	
	public void borrar(List<Conexion> lsConexion);
	
	public void suscribirTodos(List<Conexion> conexiones);

	public Conexion buscarPorConexionRutaTramoCtrl(Integer conexionRutaTramoId);
	
}
